summaryrefslogtreecommitdiff
path: root/tests/comment2.test
diff options
context:
space:
mode:
authorTom Tromey <tromey@redhat.com>1996-09-30 14:38:17 +0000
committerTom Tromey <tromey@redhat.com>1996-09-30 14:38:17 +0000
commit15efbb13a9183c10ab66192974538823a697ecc7 (patch)
tree7dfd569d1d2d0d9d886694b60dc472b8692b2813 /tests/comment2.test
parent57769683857a9e95be77a29bb08c5f0d5a2e113b (diff)
downloadautomake-15efbb13a9183c10ab66192974538823a697ecc7.tar.gz
Always ignore comments when scanning a value
Diffstat (limited to 'tests/comment2.test')
-rwxr-xr-xtests/comment2.test15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/comment2.test b/tests/comment2.test
new file mode 100755
index 000000000..721ff22a0
--- /dev/null
+++ b/tests/comment2.test
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+# Make sure comment recognition works in PROGRAMS. Report from Mark
+# Galassi.
+
+. $srcdir/defs || exit 1
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = sim_products receive_th receive_pos # image_proc
+END
+
+$AUTOMAKE || exit 1
+
+grep '^image_proc' Makefile.in && exit 1
+exit 0